/* GSA DAC Module Definitions ********************************************************* */
/* Structure defining DAC module PCI register layout    */
typedef struct GSC_DAC_REG{
        unsigned int BCR;               /* 0x00 */
        unsigned int CSR;               /* 0x04 */
        unsigned int SAMPLE_RATE;       /* 0x08 */
        unsigned int BOR;               /* 0x0C */
        unsigned int ASSC;              /* 0x10 */
        unsigned int AC_VALS;           /* 0x14 */
        unsigned int ODB;           /* 0x18 */
        unsigned int ADJ_CLK;           /* 0x1C */
        unsigned int RES_1;           /* 0x20 */
        unsigned int RES_2;           /* 0x24 */
        unsigned int RES_3;           /* 0x28 */
        unsigned int RES_4;           /* 0x2C */
        unsigned int RES_5;           /* 0x30 */
}GSC_DAC_REG;

#define DAC_SS_ID               0x3120  /* Subsystem ID to find module on PCI bus       */
#define GSAO_RESET              0x8000
#define GSAO_OUT_RANGE_25       0x10000
#define GSAO_OUT_RANGE_05       0x20000
#define GSAO_OUT_RANGE_10       0x30000
#define GSAO_SIMULT_OUT         0x80
#define GSAO_2S_COMP            0x10
#define GSAO_EXTERN_CLK         0x10
#define GSAO_ENABLE_CLK         0x20
#define GSAO_SFT_TRIG           0x80
#define GSAO_CLR_BUFFER         0x800
#define GSAO_FIFO_16            0x1
#define GSAO_FIFO_32            0x2
#define GSAO_FIFO_64            0x3
#define GSAO_FIFO_128           0x4
#define GSAO_FIFO_256           0x5
#define GSAO_FIFO_512           6
#define GSAO_FIFO_1024          7
#define GSAO_FIFO_2048          8
#define GSAO_16BIT_PRELOAD      144     // Number of data points to preload DAC FIFO on startup 
#define GSAO_16BIT_MASK         0xffff
#define GSAO_16BIT_CHAN_COUNT   16
#define GSAO_ISOLATE_EXT_CLK    0x100000
#define GSAO_FIFO_SIZE      GSAO_FIFO_256
#define GSAO_BOR_SW_CLOCK      ( GSAO_SFT_TRIG | GSAO_ISOLATE_EXT_CLK | GSAO_EXTERN_CLK | GSAO_ENABLE_CLK | GSAO_FIFO_SIZE )
volatile GSC_DAC_REG *dacPtr[MAX_DAC_MODULES];  /* Ptr to DAC registers */


