//	\file gsc16ai64.h 
///	\brief GSC 16bit, 32 channel ADC Module Definitions. See  
///<	<a href="http://www.generalstandards.com/view-products2.php?BD_family=16ai64ssc">GSC 16AI64SSC Manual</a>
///< for more info on board registers.

#define ADC_18AI32_SS_ID       0x3431  ///< Subsystem ID to identify and locate module on PCI bus

// Function Prototypes
int gsc18ai32Init(CDS_HARDWARE *, struct pci_dev *);
void gsc18ai32Enable(CDS_HARDWARE *);
int gsc18ai32CheckAdcBuffer( CDS_HARDWARE* , int );
// Code for following still need to be implemented
// int gsc18ai32Enable1PPS(CDS_HARDWARE *,int);
// int gsc18ai32AdcStop(void);

#define GSAF_FULL_DIFFERENTIAL  0x200
#define GSAF_32_CHANNEL         0x5
#define GSAF_16_CHANNEL         0x4
#define GSAF_8_CHANNEL          0x3
#define GSAF_8_OFFSET           (8 * UNDERSAMPLE - 1)
#define GSAF_SOFT_TRIGGER       0x1000
#define GSAF_ENABLE_CLOCK       0x20
#define GSAF_RESET              0x8000
#define GSAF_DMA_BYTE_COUNT     (32 * UNDERSAMPLE)
#define GSAF_ISR_ON_SAMPLE      0x3
#define GSAF_SAMPLE_START       0x10000
#define GSAF_EXTERNAL_SYNC      0x10
#define GSAF_ENABLE_X_SYNC      0x80

#define GSAF_AUTO_CAL           0x2000
#define GSAF_AUTO_CAL_PASS      0x4000
#define GSAF_18BIT_DATA         0x100000
#define GSAF_DATA_CODE_OFFSET   0x8000
#define GSAF_DATA_MASK          0xffff
#define GSAF_FIRST_SAMPLE_MARK      0x80000000
#define GSAF_USE_RAG_CLK        0x8
#define GSC18AI32_OSC_FREQ      36000000
