///	\file gsc18ai64.h 
///	\brief GSC 16bit, 32 channel ADC Module Definitions. See  
///<	<a href="http://www.generalstandards.com/view-products2.php?BD_family=16ai64ssc">GSC 16AI64SSC Manual</a>
///< for more info on board registers.

#define ADC_18AI64_SS_ID       0x3570  ///< Subsystem ID to identify and locate module on PCI bus

// Function prototypes
int gsc18ai64Init(CDS_HARDWARE *, struct pci_dev *);
int gsc18ai64Clock( CDS_HARDWARE* , int );
int gsc18ai64Enable( CDS_HARDWARE* );
void gsc18ai64ReadRegisters( CDS_HARDWARE* , int );
int gsc18ai64Enable1PPS( int );
void gsc18ai64AdcStop(int);
int gsc18ai64CheckAdcBuffer(int);
int gsc18ai64Read( CDS_HARDWARE* , int *);

#define GSA7_FULL_DIFFERENTIAL  0x200
#define GSA7_64_CHANNEL         0x6
#define GSA7_32_CHANNEL         0x5
#define GSA7_16_CHANNEL         0x4
#define GSA7_8_CHANNEL          0x3
#define GSA7_2_CHANNEL          0x1
#define GSA7_SOFT_TRIGGER       0x1000
#define GSA7_RESET              0x8000
#define GSA7_DATA_PACKING       0x40000
#define GSA7_CHAN_COUNT         16
#define GSA7_ENABLE_CLK_PIN     0x200
#define GSA7_16_BIT             0x80
#define GSA7_DMA_BYTE_COUNT     (64 * UNDERSAMPLE) 
#define GSA7_64_OFFSET          (GSA7_CHAN_COUNT *UNDERSAMPLE -1)
#define GSA7_ISR_ON_SAMPLE      0x3
#define GSA7_SAMPLE_START       0x10000
#define GSA7_SET_2S_COMP        0x40
#define GSA7_EXTERNAL_SYNC      0x10
#define GSA7_ENABLE_X_SYNC      0x80
#define GSA7_CLOCK_ENABLE      0x800
#define GSA7_AUTO_CAL           0x2000
#define GSA7_AUTO_CAL_PASS      0x4000
#define GSA7_DMA_DEMAND_MODE    0x80000
#define GSA7_18BIT_DATA         0x100000
#define GSA7_DATA_CODE_OFFSET   0x20000
#define GSA7_DATA_MASK          0x3ffff
#define GSA7_CHAN_COUNT_M1      31
#define GSA7_FIRST_SAMPLE_MARK      0x40000
#define GSC18AI64_OSC_FREQ      60000000
