
/* PLX Chip Definitions for GSA ADC/DAC Modules ******************************* */
/* Common DMA register definition       */
typedef struct PLX_9056_DMA{
        unsigned int pad[32];   /* DMA register is at 0x80 offset from base of PLX chip */
        unsigned int DMA0_MODE;         /* 0x80 */
        unsigned int DMA0_PCI_ADD;      /* 0x84 */
        unsigned int DMA0_LOC_ADD;      /* 0x88 */
        unsigned int DMA0_BTC;          /* 0x8C */
        unsigned int DMA0_DESC;         /* 0x90 */
        unsigned int DMA1_MODE;         /* 0x94 */
        unsigned int DMA1_PCI_ADD;      /* 0x98 */
        unsigned int DMA1_LOC_ADD;      /* 0x9C */
        unsigned int DMA1_BTC;          /* 0xA0 */
        unsigned int DMA1_DESC;         /* 0xA4 */
        unsigned int DMA_CSR;           /* 0xA8 */
}PLX_9056_DMA;

/* Struct to point to interrupt control register when using interrupts from ADC */
typedef struct PLX_9056_INTCTRL{
        unsigned int pad[26];
        unsigned int INTCSR;
}PLX_9056_INTCTRL;

#define PLX_VID                 0x10b5      /* PLX9056 Vendor Id    */
#define PLX_TID                 0x9056      /* PLX9056 Type Id  */

#define PLX_DMA_DONE            0x10
#define PLX_DMA_START           0x3
#define PLX_DMA1_START          0x300
#define PLX_DMA_MODE_NO_INTR    0x10943
#define PLX_DMA_LOCAL_ADDR      0x8
#define PLX_DMA_TO_PCI          0xA


volatile PLX_9056_DMA* adcDma[ MAX_ADC_MODULES ]; ///< DMA struct for GSA ADC
dma_addr_t adc_dma_handle[ MAX_ADC_MODULES ]; ///< PCI add of ADC DMA memory

#ifndef USER_SPACE
volatile PLX_9056_DMA *dacDma[MAX_DAC_MODULES]; /* DMA struct for GSA DAC */
// volatile GSC_DAC_REG *dacPtr[MAX_DAC_MODULES];  /* Ptr to DAC registers */
dma_addr_t dac_dma_handle[MAX_DAC_MODULES];     /* PCI add of DAC DMA memory */
#endif


